#include "locmin.h"
#include<iostream>
#include<map>
#include<random>
using namespace std;

vector<vector<long long>> mp;
int N, M;

long long get(long long x, long long y) {
    if (x < 0 || y < 0 || x >= N || y >= M) {
        return 1e18;
    }
    if (mp[x][y] != -1) {
        return mp[x][y];
    }
    // cout << "! " << x << " " << y + << endl;
    return mp[x][y] = value(x + 1, y + 1);
}
mt19937 rnd(10);

pair <int, int> find_locmin_point(int N2, int M2) {
    map<long long, long long> mapa;
    for (long long i = 0; i < 1e7; i++) {
        mapa[i] = i;
    }
    return {1, 1};
}
